/***************************************************************************
 *                 GCOMLib.hpp - COMPTEL Support Header files              *
 * ----------------------------------------------------------------------- *
 *  copyright (C) 2012-2013 by Juergen Knoedlseder                         *
 * ----------------------------------------------------------------------- *
 *                                                                         *
 *  This program is free software: you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation, either version 3 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *  You should have received a copy of the GNU General Public License      *
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.  *
 *                                                                         *
 ***************************************************************************/
/**
 * @file GCOMLib.hpp
 * @brief Collection of COMPTEL support header files
 * @author Juergen Knoedlseder    
 */

#ifndef GCOMLIB_HPP
#define GCOMLIB_HPP

/* __ Includes ___________________________________________________________ */
#include "GammaLib.hpp"

/* __ COMPTEL specific headers ___________________________________________ */
#include "GCOMException.hpp"
#include "GCOMEventCube.hpp"
#include "GCOMEventBin.hpp"
#include "GCOMInstDir.hpp"
#include "GCOMResponse.hpp"
#include "GCOMObservation.hpp"
#include "GCOMModelDRBFitting.hpp"

#endif /* GCOMLIB_HPP */
